Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1008512 - [RFE] QoS support is missing from CLI, SDK and REST API [NEEDINFO]
Summary: [RFE] QoS support is missing from CLI, SDK and REST API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.3.0
Hardware: x86_64
OS: Linux
medium
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Gilad Chaplik
QA Contact: Meni Yakove
URL:
Whiteboard: sla
Depends On:
Blocks: 1094012 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-09-16 13:53 UTC by GenadiC
Modified: 2016-02-10 20:19 UTC (History)
13 users (show)

Fixed In Version: vt3
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 17:54:59 UTC
oVirt Team: SLA
Target Upstream Version:
juwu: needinfo? (gchaplik)
nyechiel: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 31929 master MERGED engine: set QoS href under profile Never
Red Hat Bugzilla 1078863 None None None Never

Internal Links: 1078863

Description GenadiC 2013-09-16 13:53:27 UTC
Description of problem:
It's impossible to run commands for QoS through Rest API, SDK and CLI

Actual results:
There is no support for QoS in SDK, CLI and Rest API

Expected results:
There should be support for QoS in SDK, CLI and Rest API

Additional info:

Comment 2 Matthew Mariani 2014-03-10 17:55:10 UTC
Adding an attachment that steps through a QoS use case supporting this RFE. 

The use case comes from a Public Sector RFP requirement defining minimum VM bandwidth at 100Mbps, with the ability to add bandwidth in 100Mbps increments.  The proposed response would leverage the QoS capability to define QoS profiles for 100Mbps, 200Mbps, 300Mbps, etc. up to <Max>Mbps.  In order to perform a change programmatically through the cloud self service portal, an API capability to list/change the profile for a given VM would be required. 

Discussed with the RHEV Engineering team on 3/7/14, suggesting this post and attachment just added.

Comment 3 Scott Herold 2014-04-22 20:29:36 UTC
From following up with engineering, these capabilities are already in place:

There are 2 ways to get the desired vnic profile:
1. By querying api.getVnicProfiles() for a specific profile
2. By querying api.getNetworks().getNetwork(networkName).getVnicProfiles() which returns only the profiles of a specific network.

Changing from one profile to another:
VMNIC vnic = vm.getNics().get("nic1");
vnic.setVnicProfile("some-profile-from-list");

Example provided at the following URL:

http://www.ovirt.org/REST-Api_listing_and_modifying_VM_vNic_profile

Please let us know if this is insufficient, but it does appear as if this functionality does already exist in RHEV 3.3

Comment 4 Sven Kieske 2014-06-25 11:29:35 UTC
Well you can't define the qos via api, see BZ 1078863

Comment 5 Sven Kieske 2014-08-28 09:25:31 UTC
How can this be in status POST when none of the patches in BZ1078863
are merged? Where those replaced by different commits?

Comment 6 Doron Fediuck 2014-08-28 09:57:33 UTC
(In reply to Sven Kieske from comment #5)
> How can this be in status POST when none of the patches in BZ1078863
> are merged? Where those replaced by different commits?

POST means there are patches available. It does not mean the
issue is resolved.

Comment 7 Eyal Edri 2014-09-10 20:21:43 UTC
fixed in vt3, moving to on_qa.
if you believe this bug isn't released in vt3, please report to rhev-integ@redhat.com

Comment 8 Julie 2015-02-05 01:33:43 UTC
If this bug requires doc text for errata release, please provide draft text in the doc text field in the following format:

Cause:
Consequence:
Fix:
Result:

The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Comment 10 errata-xmlrpc 2015-02-11 17:54:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.